Retrieve paginated budget records by gu_id
curl --request GET \
--url https://api.tangoanalytics.com/v1/batch/status \
--header 'x-api-key: <api-key>' \
--header 'x-client: <api-key>'const options = {method: 'GET', headers: {'x-client': '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://api.tangoanalytics.com/v1/batch/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tangoanalytics.com/v1/batch/status"
headers = {
"x-client": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "PROCESSING",
"total_records": 123,
"total_pages": 123,
"page_size": 5000,
"page_no": 123,
"records": [
{
"transaction_type": "NEW",
"entity_type": "<string>",
"project_number": "<string>",
"store_number": "<string>",
"ownership_type": "<string>",
"budget_id": 123,
"line_number": 123,
"client_unique_num": "<string>",
"milsetone_name": "<string>",
"task_start_date": "<string>",
"task_completion_date": "<string>",
"task_description": "<string>",
"division": "<string>",
"task_number": "<string>",
"task_name": "<string>",
"line_item_name": "<string>",
"sub_task_type": "<string>",
"sub_task_name": "<string>",
"sub_line_item_name": "<string>",
"task_type": "<string>",
"account_code": "<string>",
"proposed_budget": 123,
"approved_budget": 123,
"actual_cost": 123,
"commitment": 123,
"change_order": 123,
"budget_line_type": "<string>",
"master_project_id": 123,
"expense_type": "<string>",
"n_ext_attr1": 123,
"n_ext_attr2": 123,
"segment1": "<string>",
"segment2": "<string>",
"segment3": "<string>",
"segment4": "<string>",
"segment5": "<string>",
"segment6": "<string>",
"comments": "<string>",
"brand_name": "<string>"
}
]
}Status
Retrieve paginated budget records by gu_id
GET
/
v1
/
batch
/
status
Retrieve paginated budget records by gu_id
curl --request GET \
--url https://api.tangoanalytics.com/v1/batch/status \
--header 'x-api-key: <api-key>' \
--header 'x-client: <api-key>'const options = {method: 'GET', headers: {'x-client': '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://api.tangoanalytics.com/v1/batch/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tangoanalytics.com/v1/batch/status"
headers = {
"x-client": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "PROCESSING",
"total_records": 123,
"total_pages": 123,
"page_size": 5000,
"page_no": 123,
"records": [
{
"transaction_type": "NEW",
"entity_type": "<string>",
"project_number": "<string>",
"store_number": "<string>",
"ownership_type": "<string>",
"budget_id": 123,
"line_number": 123,
"client_unique_num": "<string>",
"milsetone_name": "<string>",
"task_start_date": "<string>",
"task_completion_date": "<string>",
"task_description": "<string>",
"division": "<string>",
"task_number": "<string>",
"task_name": "<string>",
"line_item_name": "<string>",
"sub_task_type": "<string>",
"sub_task_name": "<string>",
"sub_line_item_name": "<string>",
"task_type": "<string>",
"account_code": "<string>",
"proposed_budget": 123,
"approved_budget": 123,
"actual_cost": 123,
"commitment": 123,
"change_order": 123,
"budget_line_type": "<string>",
"master_project_id": 123,
"expense_type": "<string>",
"n_ext_attr1": 123,
"n_ext_attr2": 123,
"segment1": "<string>",
"segment2": "<string>",
"segment3": "<string>",
"segment4": "<string>",
"segment5": "<string>",
"segment6": "<string>",
"comments": "<string>",
"brand_name": "<string>"
}
]
}Query Parameters
Page number; defaults to 1 if omitted (5000 records/page).
Required range:
x >= 1
